% Esempio di calcolo dell'errore relativo


disp('ESEMPIO: Calcolo errori assoluto e relativo');


% Pi-greco e sua approssimazione
xv = pi;
xappr = 3.1415926;

% Errore assoluto, relativo e numero di cifre
err_ass = abs(xv-xappr);
err_rel = abs(xv-xappr)/abs(xv);
cf = floor(-log10(err_rel));

% Visualizzazione a video
fprintf('%15s : %16.10e\n','x_vera',xv);
fprintf('%15s : %16.10e\n','x_approx',xappr);
fprintf('%15s : %16.10e\n','err_ass',err_ass);
fprintf('%15s : %16.10e\n','err_rel',err_rel);
fprintf('%15s : %d\n\n','cifre sign.',cf);
